Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util.viewer.model
Class AttributeToolkit

    java.lang.Object
      net.sourceforge.pmd.util.viewer.model.AttributeToolkit

public class AttributeToolkit
extends java.lang.Object

A toolkit for vaious attribute translations

Version:
  $Id: AttributeToolkit.java,v 1.8 2006/02/10 14:26:32 tomcopeland Exp $
Author:
  Boris Gruschko ( boris at gruschko.org )

Constructor Summary
`AttributeToolkit()`

Method Summary
`static java.lang.String` | `constructPredicate(Attribute attribute)` constructs a predicate from the given attribute
`static java.lang.String` | `formatValueForXPath(Attribute attribute)` formats a value for its usage in XPath expressions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeToolkit

    public AttributeToolkit()

Method Detail

### formatValueForXPath

    public static java.lang.String formatValueForXPath(Attribute attribute)

  formats a value for its usage in XPath expressions

  Parameters:
    `attribute` - atribute which value should be formatted
  Returns:
    formmated value

### constructPredicate

    public static java.lang.String constructPredicate(Attribute attribute)

  constructs a predicate from the given attribute

  Parameters:
    `attribute` - attribute to be formatted as predicate
  Returns:
    predicate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.